# Get top support ticket categories and subcategories

Returns the most common categories and subcategories sorted by ticket count. Supports a limit parameter to control the number of results.

Endpoint: GET /support-ticket-stats/top-categories
Version: 2.0
Security: oauth2

## Query parameters:

  - `limit` (integer)
    Maximum number of categories/subcategories to return. Defaults to 10.

## Header parameters:

  - `EvEnergy-Version` (number)
    Specify the version of this endpoint to use.

## Response 200 fields (application/json):

  - `categories` (array)
    List of most common categories.

  - `categories.category` (string, required)
    Category enum value.
    Enum: "ACCOUNT", "CHARGER", "CHARGING_SESSION", "MOBILE_APP", "OTHER", "SOLAR", "USABILITY_UX", "VEHICLE"

  - `categories.count` (integer, required)
    Number of distinct tickets with this category.
    Example: 145

  - `categories.percentage` (number, required)
    Percentage of total tickets (0-1).
    Example: 0.45

  - `subcategories` (array)
    List of most common subcategories with their parent category.

  - `subcategories.subcategory` (string, required)
    Subcategory enum value.
    Enum: "ACCESSIBILITY", "ACCURACY", "ADD_NON_INTEGRATED_VEHICLE", "ADD_NEW_TARIFF", "API_ACCESS_TOKEN", "APP_CRASH_FREEZE", "APP_OR_EMAIL_NOTIFICATIONS", "APP_SETTINGS_CONFUSION", "BOOST_CONFUSION", "BUSINESS_LEAD_NON_SUPPORT", "CAMPAIGN_MARKETING_FEEDBACK", "CARBON_FEED", "CHARGE_LOCATION", "CHARGE_PAST_READY_BY_TIME", "CHARGING_ON_PEAK", "COMMISSIONING", "COMPATIBILITY", "COMPLAINT", "CONFLICTING_SCHEDULE", "DASHBOARD_COSMETIC_ISSUE", "DASHBOARD_UI_ISSUE", "DATA_EXPORT", "DELETION", "DUPLICATE", "ELIGIBILITY", "ENERGY_DELIVERED_CALCULATION", "ERROR_REPORT", "FEATURE_REQUEST_FEEDBACK", "FIRMWARE", "HARDWARE", "HARDWARE_ISSUE", "HIDDEN_INCENTIVES", "INCENTIVES_BILL_CREDITS", "INCOMPLETE_CHARGE", "INCORRECT_CHARGE_TIME_DURATION", "INCORRECT_INCENTIVES_DISPLAYED", "INCORRECT_KWH_DISPLAYED", "INCORRECT_LOCATION_DISPLAYED", "INCORRECT_MESSAGING", "INCORRECT_PRICE_THRESHOLD", "INCORRECT_TRIM", "INVERTER", "LOCALISATION", "LOCATION_INCORRECT", "LOGIN_CREDENTIALS", "MANUAL_UPLOAD", "MAX_CHARGE_LIMIT", "MISSING_SESSIONS", "MISSING_TARIFF", "MOBILE_COMPATIBILITY", "MULTI_VEHICLE", "NETWORK", "NO_CHARGE", "NON_SUPPORT_EXTERNAL", "NOT_COMPATIBLE", "MANGED_TARIFF_INTERFERENCE", "OFFLINE", "OFF_PEAK_HOURS_CONFUSION", "ONBOARDING", "ONLY_CHARGE_OFF_PEAK_OFF", "OTHER", "OUTAGE", "OWNERSHIP_TRANSFER", "PASSWORD", "PLATFORM_OUTAGE", "POOR_UPTIME", "PRIVACY_CONCERNS", "REAUTHENTICATION", "REBATE_REQUEST", "REFERRAL_PROMO_CODE", "REFUNDS", "REFUSING_COMMANDS", "RELIABILITY", "REPLACE_VEHICLE", "REQUEST_TO_DISCONNECT", "REWARDS", "REWARDS_INCENTIVES_UI_ISSUE", "SESSION_RECALCULATION", "SESSION_START_END_TIME", "SESSION_START_END_TIME_CONFUSION", "SMART_CHARGING_CONFUSION", "SMART_TAB_UI_ISSUE", "SOLAR_CHARGING_CONFUSION", "SOLAR_FEED", "SOLAR_PAYMENT", "SPAM", "STATS_COSMETIC_ISSUE", "STATS_UI_ISSUE", "SUBSCRIPTION_ISSUE", "TARIFF_IS_OUTDATED_INCORRECT", "TARIFF_REQUEST", "TELEMATICS_ISSUE", "TIER_SELECTION", "TRIM", "UI_ISSUE", "UNABLE_TO_DETECT_CAR_PLUGGED_IN", "UTILITY_PARTNER_INQUIRY", "VEHICLE_DELETION", "VERIFICATION", "WRONG_COMPANY"

  - `subcategories.category` (string, required)
    Parent category enum value.
    Enum: "ACCOUNT", "CHARGER", "CHARGING_SESSION", "MOBILE_APP", "OTHER", "SOLAR", "USABILITY_UX", "VEHICLE"

  - `subcategories.count` (integer, required)
    Number of distinct tickets with this subcategory.
    Example: 78

  - `subcategories.percentage` (number, required)
    Percentage of total tickets (0-1).
    Example: 0.24

## Response 406 fields (application/problem+json):

  - `status` (number)
    Example: 406

  - `title` (string, required)
    Example: Not Acceptable

  - `detail` (string, required)
    Example: Could not satisfy the request Accept header.

## Response 429 fields (application/problem+json):

  - `type` (string)
    Example: https://api.ev.energy/v2/problems/example-problem/

  - `status` (number)
    Example: 400

  - `title` (string, required)
    Example: Short description

  - `detail` (string, required)
    Example: Long, more specific description.

  - `instance` (string)
    Example: https://api.ev.energy/v2/users/user01HN2P75GBNFRJPCZJXEFVXH5E

  - `notification` (object)
    Something that the user should be informed about.

  - `notification.id` (string, required)
    Unique identifier for the Notification
    Example: notf67O36PLTFDB57M0E5L33JZLGM0

  - `notification.url` (string, required)
    Example: https://api.ev.energy/notifications/notf67O36PLTFDB57M0E5L33JZLGM0

  - `notification.message_id` (string, required)
    Internal identifier for this notification type. E.g. 'ERR0023'

  - `notification.category` (string, required)
    Category of this notification type
    Enum: "ACTIONABLE", "SERVICE", "RETRY", "MARKETING", "INTERNAL"

  - `notification.event_time` (string, required)
    The timestamp of the event described by this notification

  - `notification.short_text_title` (string, required)
    Short title for the notification

  - `notification.short_text_body` (string, required)
    Short description of the event being notified

  - `notification.detail_page_title` (string, required)
    Title of a help page giving more information about this notification

  - `notification.detail_page_body` (string, required)
    Text of a help page giving more information about this notification

  - `notification.external_link` (string | null, required)
    URL of a web page giving further information about this notification

  - `notification.external_button_label` (string, required)
    Text to be displayed on a button leading to the external_link location

  - `notification.read_at` (string)
    When the user examined the contents of this notification

  - `notification.resolved_at` (string)
    When the problem associated with this notification was resolved

